# Class BlockCompressedInputStream.DecompressedBlock

java.lang.Object
htsjdk.samtools.util.BlockCompressedInputStream.DecompressedBlock

Enclosing class:
  `BlockCompressedInputStream`

protected static class BlockCompressedInputStream.DecompressedBlock extends Object

## Constructor Summary

Constructors
Constructor
Description
`DecompressedBlock(long blockAddress, byte[] block, int compressedSize)`
`DecompressedBlock(long blockAddress, int compressedSize, Exception exception)`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DecompressedBlock

public DecompressedBlock(long blockAddress, byte[] block, int compressedSize)

### DecompressedBlock

public DecompressedBlock(long blockAddress, int compressedSize, Exception exception)